import {Injector} from 'ngES6';
import template from './template.html';

export default class MorePopup extends Injector {
    static $inject = ['$sce'];

    constructor(...args) {
        super(...args);
        this.template = template;
        this.replace = true;
        this.restrict = 'EA';
        this.scope = {
            content: '@',
            threshold: '@',
        };
    }

    link(scope) {
        let threshold = scope.threshold || 20;
        if (scope.content && scope.content.length > threshold) {
            scope.hasMore = true;
        }
    }
}
