export default function ceil() {
    return function(input) {
        if (input > 1024 * 1024) return (input / (1024 * 1024)).toFixed(2) + 'MB';
        else if (input > 1024) return (input / 1024).toFixed(2) + 'KB';
        else if (input) return input + 'Byte';

        return '';
    };
}
