import {Injector} from 'ngES6';

export default class TripService extends Injector {
    static $inject = ['$http', 'Settings'];

    getTrips(vehicleId) {
        const {$http, Settings} = this.$injected;
        return $http.get(Settings.domain + `/api/web/vehicle/${vehicleId}/trip`);
    }

    getTrip(tripId) {
        const {$http, Settings} = this.$injected;
        return $http.get(Settings.domain + `/api/web/trip/${tripId}`);
    }

    getPath(tripId) {
        const {$http, Settings} = this.$injected;
        return $http.get(Settings.domain + `/api/web/trip/${tripId}/path`);
    }
}
